# $Revision: 1.7 $, $Date: 2008/12/11 11:45:58 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Devel
Summary:	Catalyst::Devel - Catalyst Development Tools
Summary(pl.UTF-8):	Catalyst::Devel - narzędzia programistyczne Catalyst
Name:		perl-Catalyst-Devel
Version:	1.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8ea62cae2d555bad770d92359a7df641
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-parent
BuildRequires:	perl-Catalyst >= 5.7000
BuildRequires:	perl-Catalyst-Action-RenderView >= 0.04
BuildRequires:	perl-Catalyst-Plugin-ConfigLoader
BuildRequires:	perl-Catalyst-Plugin-Static-Simple >= 0.14
BuildRequires:	perl-Class-Accessor
BuildRequires:	perl-File-Copy-Recursive
BuildRequires:	perl-Module-Install >= 0.63
BuildRequires:	perl-Path-Class >= 0.09
BuildRequires:	perl-Template-Toolkit >= 2.14
BuildRequires:	perl-YAML >= 0.55
%endif
Requires:	perl-Catalyst-Plugin-ConfigLoader
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Catalyst::Devel package includes a variety of modules useful for
the development of Catalyst applications, but not required to run
them. This is intended to make it easier to deploy Catalyst apps. The
runtime parts of Catalyst are now known as Catalyst::Runtime. 

Catalyst::Devel includes the Catalyst::Helper system, which
autogenerates scripts and tests; Module::Install::Catalyst, a
Module::Install extension for Catalyst; and requirements for a
variety of development-related modules. The documentation remains with
Catalyst::Runtime.

%description -l pl.UTF-8
Pakiet Catalyst::Devel zawiera wiele różnych modułów przydatnych przy
tworzeniu aplikacji Catalysta, ale nie wymaganych do ich uruchamiania.
Jego celem jest ułatwienie tworzenia aplikacji Catalysta. Elementy
uruchomieniowe Catalysta są znane jako Catalyst::Runtime.

Catalyst::Devel zawiera: system Catalyst::Helper automatycznie
generujący skrypty i testy, Module::Install::Catalyst - rozszerzenie
Module::Install dla Catalysta oraz zależności od wielu różnych modułów
związanych z tworzeniem aplikacji. Dokumentacja pozostaje w
Catalyst::Runtime.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
# ??? there were duplicates
#%{perl_vendorlib}/Catalyst/*.pm
%{perl_vendorlib}/Catalyst/*
%{perl_vendorlib}/Module/Install/*
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Devel.spec,v $
Revision 1.7  2008/12/11 11:45:58  radek
- version 1.08

Revision 1.6  2008-02-23 12:07:58  radek
- autoupdated to 1.03

Revision 1.5  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/08/19 21:53:50  qboosh
- pl, fixed R, killed files dups

Revision 1.1  2006/08/12 15:47:55  migo
- initial revision
